Announcements
Attention for Customers without Multi-Factor Authentication or Single Sign-On - OTP Verification rolls out April 2025. Read all about it here.

How to turn solids in .ipn to parts with already L, W and T in a right place?

Campereve
Observer

How to turn solids in .ipn to parts with already L, W and T in a right place?

Campereve
Observer
Observer

We do lots of solid modelling, one part has a lots of separate solids extruded based on master sketch.  Then the new parts are created based on solids, using make Components option.

Now, the biggest problem is to have the parts created from solids appear in BOM with dimensions. We do it by adding sketches on the parts surfaces and using its dimensions as a part dimensions by entering manually e.g. d15 as  L and so on.

Is there an automatic way that can be used so we get the dims automatically in derived parts?

I can attache a template .ipt that we use for the parts creation in deriving process.

Thanks. 

0 Likes
Reply
134 Views
1 Reply
Reply (1)

A.Acheson
Mentor
Mentor

One method is to modify the solid body name then either link a sketch to it or modify it's properties. 

https://forums.autodesk.com/t5/inventor-ilogic-and-vb-net-forum/derive-part-from-multi-solid-body/td...

 

Another would be to measure the parts boundary box.

https://forums.autodesk.com/t5/inventor-ilogic-api-vba-forum/ilogic-bounding-dimensions-assembly/td-...

Dim oDoc As PartDocument = ThisApplication.ActiveDocument
Dim oDef As PartComponentDefinition = oDoc.ComponentDefinition

L = Math.Abs(oDef.RangeBox.MaxPoint.X - oDef.RangeBox.MinPoint.X) * 10
W = Math.Abs(oDef.RangeBox.MaxPoint.Y - oDef.RangeBox.MinPoint.Y) * 10
H = Math.Abs(oDef.RangeBox.MaxPoint.Z - oDef.RangeBox.MinPoint.Z) * 10

iProperties.Value("Custom", "Length")=L
iProperties.Value("Custom", "Width") = W
iProperties.Value("Custom", "Thickness") = H

 

 

If this solved a problem, please click (accept) as solution.‌‌‌‌
Or if this helped you, please, click (like)‌‌
Regards
Alan
0 Likes